Subject: Unicode mapping tables

From: "Ross Paterson" <[email-masked]>
Date: Sat, 7 Nov 1992 15:26:01 GMT

The folks from Unicode have made two of their mapping tables available for
anonymous FTP.  They are in the directory pub/MappingTables on unicode.org.

To quote Asmus Freytag (VP Marketing, The Unicode Consortium):

> Unicode has a firm policy to NOT authorize redistribution of its
> tables by third parties.  While Unicode endeavours to get its
> mapping tables and similar implementation support into as many
> hands as possible, the Consortium feels that it is necessary
> to establish itself as the sole source of the "authorized" and
> "authentic" tables.  [...]
> This does not restrict the rights to share tables inside a company or
> organization nor the rights to incorporate the information present in
> the mapping tables in products supporting Unicode.

i.e. they'll get upset if you upload them to another FTP site.

One file, cjkxref.fix, gives a cross-referenced listing of various
standards for Hanzi.  The first 6 fields are:

1. Unicode: 4 hexadecimal digits
2. GuoBiao: S-rrcc, where S is one of
	0 = GB 2312-1980
        1 = GB 12345-1990
        3 = GB 7589-1987
        5 = GB 7590-1987
        7 = General use for Modern Chinese
        8 = GB 8565-1989
   and rr and cc are decimal numbers in the range 1-94, giving the row
   and column numbers.
3. BIG-5: 4 hexadecimal digits
4. CNS 11643-1986: L-XXXX (4 hexadecimal digits), where L is one of
	1 = Frequent characters
	2 = Less frequent characters
	E = extensions
   The first two levels are the two levels of BIG-5, minus the two
   characters C94A and DDFC, rearranged (in the same order) to fit in
   the range of graphic characters (A1-7E)
5. JIS:	S-rrcc, where S is one of
	0 = JIS X0208-1990.
	1 = JIS X0212-1990.
	I = IBM extensions (4 hexadecimal digits).
6. KSC: S-rrcc, where S is one of
	0 = KSC 5601-1987
	1 = some later standard

I don't know about the other 3.  Perhaps someone has the Unicode books?

The other file, namesall.lst, gives the Unicode standard names for the
non-Hanzi Unicodes.  The names of the Hanzi Unicodes are just their
Unicodes prefixed with "CJK UNIFIED IDEOGRAPH-".  Also omitted are the
thousands of precomposed Hangul blocks (which are probably the single
worst feature of Unicode, IMHO).

As has already been mentioned, the Hanzi set (variously called
UniHan, HCS or URO) unifies characters from various CJK standards.
Two characters seem to be unified if they have much the same form, but
simplified versions are not in general unified with the corresponding
traditional forms.  For example, the traditional (4 strokes) and
simplified (3 strokes) forms of the "grass" radical don't make for
different characters, but the two forms of the "speech" radical do.

Ross